<br><br><div class="gmail_quote">On Mon, Apr 18, 2011 at 7:49 PM, Dale Henrichs <span dir="ltr">&lt;<a href="mailto:dhenrich@vmware.com">dhenrich@vmware.com</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">
<div class="im">On 04/18/2011 10:24 AM, Mariano Martinez Peck wrote:<br>
</div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><div class="im">
<br>
<br>
On Mon, Apr 18, 2011 at 6:04 PM, sourav roy &lt;<a href="mailto:sourav_pharo@in.com" target="_blank">sourav_pharo@in.com</a><br></div><div class="im">
&lt;mailto:<a href="mailto:sourav_pharo@in.com" target="_blank">sourav_pharo@in.com</a>&gt;&gt; wrote:<br>
<br>
    Hi<br>
    i tried the way to suggested but i am still getting the same error.<br>
    My pharo version is 1.1.1. do you think this may be the reason.<br>
    i am attaching a snapshot.<br>
<br>
<br>
The problem is that the Pharo 1.1.1 already has Metacello installed. But<br>
of course, the metacello of that moment.<br>
The way you are installing OSProcess, i.e<br>
<br>
((Smalltalk at: #ConfigurationOfOSProcess) project version: #stable)  load.<br>
<br>
use the &quot;symbolic&quot; version #stable which is a Metacello feature that was<br>
added to Metacello in a newer version than the one you have in Pharo<br>
1.1.1. So...you have to options:<br>
<br>
1) Try to upgrade your Metacello version of your Pharo 1.1.1 to the<br>
latest one. This is what I tried, but failed. THere is a way to upgrade<br>
a package in Metacello but I don&#39;t remember now. Maybe other guy now.<br>
</div></blockquote>
<br>
The following should upgrade to the correct version of Metacello:<br>
<br>
  ConfigurationOfMetacello project updateProject.<br>
  ConfigurationOfMetacello load.<br>
<br>
If this fails, I am interested in a stack and an error report...<br>
<br>
What did you try that failed?<div><div></div><div class="h5"><br>
<br></div></div></blockquote><div><br><br>ConfigurationOfMetacello project latestVersion load.<br><br><br> </div><blockquote class="gmail_quote" style="margin: 0pt 0pt 0pt 0.8ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">
<div><div class="h5">
<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<br>
2) browse the implementation of #stable and you will see it is :<br>
<br>
stable: spec<br>
&lt;symbolicVersion: #&#39;stable&#39;&gt;<br>
<br>
     spec for: #&#39;common&#39; version: &#39;4.4.0&#39;.<br>
<br>
So...you can just evaluate:<br>
<br>
((Smalltalk at: #ConfigurationOfOSProcess) project version: &#39;4.4.0&#39;)  load.<br>
<br>
and it should work.<br>
<br>
Anyway, I recommend you to read the Metacello chapter I wrote with Stef:<br>
<a href="https://gforge.inria.fr/frs/download.php/28462/Metacello.pdf" target="_blank">https://gforge.inria.fr/frs/download.php/28462/Metacello.pdf</a><br>
<br>
as you ca find it in <a href="http://pharobyexample.org/" target="_blank">http://pharobyexample.org/</a><br>
</blockquote>
</div></div></blockquote></div><br><br clear="all"><br>-- <br>Mariano<br><a href="http://marianopeck.wordpress.com" target="_blank">http://marianopeck.wordpress.com</a><br><br>